diff --git a/eslint.config.mjs b/eslint.config.mjs
new file mode 100644
index 0000000000000000000000000000000000000000..b698597f193d4fc5da391e991a980fb7a6ab5f03

--- /dev/null
+++ b/eslint.config.mjs
@@ -0,0 +1,39 @@
+import { defineConfig } from 'eslint/config';
+import beanbag from '@beanbag/eslint-plugin';
+import globals from 'globals';
+import path from 'node:path';
+import { fileURLToPath } from 'node:url';
+import js from '@eslint/js';
+import { FlatCompat } from '@eslint/eslintrc';
+
+const __filename = fileURLToPath(import.meta.url);
+const __dirname = path.dirname(__filename);
+const compat = new FlatCompat({
+    baseDirectory: __dirname,
+    recommendedConfig: js.configs.recommended,
+    allConfig: js.configs.all
+});
+
+export default defineConfig([{
+    extends: compat.extends('plugin:@beanbag/recommended'),
+    ignores: [
+        'src/@types/backbone/index.d.ts',
+    ],
+    languageOptions: {
+        globals: {
+            ...beanbag.environments.backbone.globals,
+            ...globals.browser,
+            ...globals.jquery,
+            Spina: 'writable',
+        },
+
+        ecmaVersion: 2015,
+        sourceType: 'module',
+    },
+    plugins: {
+        '@beanbag': beanbag,
+    },
+    rules: {
+        '@typescript-eslint/no-explicit-any': 'off',
+    },
+}]);
diff --git a/rollup.config.js b/rollup.config.js
index 210aa9171d5585aebfd5624b59686e247ec607c9..2f9da326ec70b00d06f75b4a3b8f55030769cc9c 100644
--- a/rollup.config.js
+++ b/rollup.config.js
@@ -21,27 +21,27 @@
         input: './src/index.ts',
         output: [
             {
-                file: `lib/index.js`,
+                esModule: false,
+                exports: 'named',
+                file: 'lib/index.js',
                 format: 'umd',
+                globals: globalsMap,
                 name: 'Spina',
-                esModule: false,
-                exports: 'named',
                 sourcemap: true,
-                globals: globalsMap,
             },
             {
                 dir: 'lib/esm',
+                exports: 'named',
                 format: 'esm',
-                exports: 'named',
+                globals: globalsMap,
                 sourcemap: true,
-                globals: globalsMap,
             },
             {
                 dir: 'lib/cjs',
+                exports: 'named',
                 format: 'cjs',
-                exports: 'named',
+                globals: globalsMap,
                 sourcemap: true,
-                globals: globalsMap,
             },
         ],
         plugins: [
@@ -52,16 +52,16 @@
             copy({
                 targets: [
                     {
+                        dest: 'lib',
                         src: 'src/@types',
-                        dest: 'lib',
                     },
                 ],
             }),
             copy({
                 targets: [
                     {
+                        dest: 'lib/esm',
                         src: 'src/index-all.js',
-                        dest: 'lib/esm',
                     },
                 ],
             }),
@@ -78,6 +78,10 @@
                 file: 'lib/index.d.ts',
                 format: 'es',
             },
+            {
+                file: 'lib/index.d.mts',
+                format: 'es',
+            },
         ],
         plugins: [
             dts.default(),
diff --git a/spec/helpers/babel.js b/spec/helpers/babel.js
new file mode 100644
index 0000000000000000000000000000000000000000..ba1dee0a6b7334f2d566e0e752a739e93f19ee35

--- /dev/null
+++ b/spec/helpers/babel.js
@@ -0,0 +1,3 @@
+require('@babel/register')({
+    extensions: ['.js', '.ts'],
+});
